Subject: bug#60407: [PATCH] Update go-ts-mode to use Imenu facility

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Jan 2023 12:59:14 +0200

> From: Evgeni Kolev <[email-masked]>
> Date: Sun, 8 Jan 2023 10:10:33 +0200
> Cc: Randy Taylor <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked]
> 
> A side question - does it make sense to extend go-ts-mode with
> interactive functions?
> 
> For example a function (go-ts-mode-docstring) which adds a docstring
> for the current type:
> with Go code:
>     func sum(a, b int) int {...}
> the function would add a comment above the func:
>     // sum
>     func sum(a, b int) int {...}
> 
> This is something I've implemented for myself, I'm wondering if it
> makes sense to contribute it to go-ts-mode.

It makes sense, but it will have to wait until Emacs 30.  The release
branch is frozen, and no new features are accepted.

> Or should I first discuss this in the devel mail list? Or maybe send
> another patch and have the discussion there?

Either one would be good.

Thanks.